/*
<:copyright-BRCM:2016:DUAL/GPL:standard

   Broadcom Proprietary and Confidential.(c) 2016 Broadcom
   All Rights Reserved

Unless you and Broadcom execute a separate written software license
agreement governing use of this software, this software is licensed
to you under the terms of the GNU General Public License version 2
(the "GPL"), available at http://www.broadcom.com/licenses/GPLv2.php,
with the following added to such license:

   As a special exception, the copyright holders of this software give
   you permission to link this software with independent modules, and
   to copy and distribute the resulting executable under terms of your
   choice, provided that you also meet, for each linked independent
   module, the terms and conditions of the license of that module.
   An independent module is a module which is not derived from this
   software.  The special exception does not apply to any modifications
   of the software.

Not withstanding the above, under no circumstances may you combine
this software in any way with any other Broadcom software provided
under a license other than the GPL, without Broadcom's express prior
written consent.

:>
 */

#ifndef MAPLE_CLI_API_H_
#define MAPLE_CLI_API_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <bcmolt_msg.h>

/* Initialize API CLI */
bcmos_errno api_cli_init(bcmcli_entry *parent_dir, bcmcli_session *session);

/* Update API CLI commands for the current device */
bcmos_errno api_cli_set_commands(bcmcli_session *session);

#ifdef __cplusplus
}
#endif

#endif /* MAPLE_CLI_API_H_ */
